APIWebhooks
List webhook deliveries
List deliveries for a webhook, newest first, attempts embedded.
GET
List deliveries for a webhook, newest first, attempts embedded.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_webhookswebhook_id*stringFormat
uuidoffset?integerNumber of items to skip before returning results.
Format
int32Range
0 <= valueDefault
0limit?integerMaximum number of items to return per page.
Format
int32Range
0 <= value <= 256Default
10The request has succeeded.
application/json- response
A page of results together with its paging information.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "webhook_id": "a47606a1-5b39-4a81-9480-c2cb738ff675", "status": "pending", "event_count": 0, "attempt_count": 0, "attempts": [ { "at": "2019-08-24T14:15:22Z", "status_code": 0, "error": "string", "duration_ms": 0, "response_snippet": "string" } ], "next_retry_at": "2019-08-24T14:15:22Z", "retryable": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}